/*global define, CKEDITOR, setTimeout*/
/*jslint regexp: true, unparam: true*/
define([
    'testsuite/qunit',
    'testsuite/qunit-fixture!ckeditor/plugins/epebay/plugin-test.html',
    'jquery',
    'ep/ui/editor',
    'ckeditor/ckeditor',

    '$ready!'
], function (QUnit, fixture, $, ep, CKEDITOR) {
    'use strict';

    // add epebay plugin
    CKEDITOR.config.plugins += ',epebay';

    QUnit.module("ckeditor/plugins/epebay", {
        setup: fixture.init,
        teardown: fixture.destroy
    });

    QUnit.asyncTest("basic ebay plugin tests", 2, function () {
        var editor1 = $('#uieditor_ckeditortestinstance_test1');

        // instantiate CKE
        editor1.uiEditor({
            'name' : 'ckeditortestinstance_test1',
            'toolbar': 'Full'
        });

        setTimeout(function () {
            var editorId = 'uieditor_ckeditortestinstance_test1',
                editorInstance = CKEDITOR.instances[editorId],
                data = editorInstance.getData(),
                fakeElement = $(editorInstance.document.$.body).find('img.ep-EbayFakeImg');

            QUnit.strictEqual(
                fakeElement.length,
                1,
                'fakeElement to diaplay ebay preview image in WYSIWYG was inserted'
            );

            QUnit.strictEqual(
                fakeElement[0] && fakeElement[0].src.search(new RegExp(ep.config.iconsRoot)) !== -1,
                true,
                'icons root was found in image source of fake element'
            );

            QUnit.start();

        }, 3000);

    });
});